ERLANG-DEPENDS(1)

NAME
erlang-depends - calculates Erlang dependencies

SYNOPSIS
erlang-depends [debhelper options]

DESCRIPTION
erlang-depends is a debhelper-like program that is responsible for generating the substitution variables for Erlang-dependent packages.

The most useful variable is ${erlang:Depends}. It expands into the list of Erlang packages which modules are used in the building package. It was introduced in version 1:13.b.1-dfsg-3 of erlang-dev package.

Also, ${erlang-abi:Depends} substitution adds current erlang ABI virtual package to substvar files. It is useful if your package uses C-based extensions which may break in case of ABI changes. It was introduced in version 1:11.b.4-4 of erlang-dev package.

If your package stores precompiled PCRE regexps then it likely requires rebuild when the PCRE library in Erlang updates. For those packages ${erlang-pcre:Depends} substitution adds current erlang PCRE virtual package to subsstvar files. It was introduced in version 1:22.1.1+dfsg-2 of erlang-dev.

If you want to fine tune your package dependencies then you may want to use substvars for all Erlang packages you need. Currently they are: ${erlang-base:Depends}, ${erlang-dev:Depends}, ${erlang-asn1:Depends}, ${erlang-common-test:Depends}, ${erlang-crypto:Depends}, ${erlang-debugger:Depends}, ${erlang-dialyzer:Depends}, ${erlang-edoc:Depends}, ${erlang-eldap:Depends}, ${erlang-et:Depends}, ${erlang-eunit:Depends}, ${erlang-ftp:Depends}, ${erlang-inets:Depends}, ${erlang-megaco:Depends}, ${erlang-mnesia:Depends}, ${erlang-observer:Depends}, ${erlang-odbc:Depends}, ${erlang-os-mon:Depends}, ${erlang-parsetools:Depends}, ${erlang-public-key:Depends}, ${erlang-reltool:Depends}, ${erlang-runtime-tools:Depends}, ${erlang-snmp:Depends}, ${erlang-ssh:Depends}, ${erlang-ssl:Depends}, ${erlang-syntax-tools:Depends}, ${erlang-tftp:Depends}, ${erlang-tools:Depends}, ${erlang-wx:Depends}, ${erlang-xmerl:Depends}.

All variables except ${erlang-eldap:Depends}, ${erlang-base:Depends} and ${erlang-dev:Depends} were introduced in version 1:13.b-dfsg-2 of erlang-dev package.

Variable ${erlang-eldap:Depends} was added in version 1:15.b.1-dfsg-1 of erlang-dev package because the new eldap application was included to the Erlang distribution.

Variable ${erlang-docbuilder:Depends} was dropped in version 1:15.b-dfsg-1 of erlang-dev package because the docbuilder application was removed from the Erlang distribution.

Variable ${erlang-inviso:Depends} was dropped in version 1:16.b.1-dfsg-4 of erlang-dev package because the inviso application was removed from the Erlang distribution.

Variable ${erlang-appmon:Depends} was dropped in version 1:17.0-dfsg-3 of erlang-dev package because the appmon application was removed from the Erlang distribution.

Variables ${erlang-pman:Depends}, ${erlang-toolbar:Depends}, ${erlang-tv:Depends} were dropped in version 1:17.3-dfsg-2 of erlang-dev package because the pman, toolbar and tv applications were removed from the Erlang distribution.

Variable ${erlang-webtool:Depends} was dropped in version 1:19.0.4+dfsg-1 of erlang-dev package because the webtool application was removed from the Erlang distribution.

Variable ${erlang-test-server:Depends} was dropped in version 1:19.0.5+dfsg-2 of erlang-dev package because the test_server application was removed from the Erlang distribution.

Variables ${erlang-gs:Depends}, ${erlang-percept:Depends}, ${erlang-typer:Depends} were dropped in version 1:20.0+dfsg-1 of erlang-dev package because the gs, percept and type applications were removed from the Erlang distribution.

Variables ${erlang-ftp:Depends} and ${erlang-tftp:Depends} were added in version 1:21.0~rc1+dfsg-1 of erlang-dev package because the ftp and tftp applications were split out from inets and included to the Erlang distribution separately.

Variables ${erlang-corba:Depends}, ${erlang-ic:Depends} were dropped in version 1:21.0~rc1+dfsg-1 of erlang-dev package because the corba and ic applications were removed from the Erlang distribution.

For compatibility with older versions the variables ${erlang-nox:Depends} and ${erlang-x11:Depends} also work (even since the corresponding packages turned into dummy packages).

If you use this program, your package must build-depend on erlang-dev (>= 1:13.b-dfsg-2). If you want your package to use automatic calculation of dependencies then it must build-depend on erlang-dev (>= 1:13.b.1-dfsg-3).

OPTIONS

-v, --verbose
    Verbose mode.

-a, --arch
    Act on all architecture dependent packages.

-i, --indep
    Act on all architecture independent packages.

-ppackage, --package=package
    Act on the package named "package". This option may be specified multiple times.

-Npackage, --no-package=package
    Do not act on the specified package even if an -a, -i, or -p option lists the package as one that should be acted on.

--ignore=file
    Ignore the specified file.

-Ptmpdir, --tmpdir=tmpdir
    Use "tmpdir" for package build directory. The default is debian/<package>

SEE ALSO
debhelper(7)

This program is not part of debhelper.

AUTHORS
Torsten Werner <twerner@debian.org> initially wrote it in Perl, Sergei Golovan <sgolovan@debian.org> rewrote in Erlang (started from 1:13.b.1-dfsg-3).